<?php

namespace FiloBlu\Flow\Model;

use FiloBlu\Flow\Api\Data\SpecialActionPoolInterface;

/**
 * Class SpecialActionPool
 * @package FiloBlu\Flow\Model
 */
class SpecialActionPool implements SpecialActionPoolInterface
{

    /**
     * @var array
     */
    protected $actions = [];

    /**
     * SpecialActionPool constructor.
     * @param $actions
     */
    public function __construct($actions)
    {
        $this->actions = $actions;
    }

    /**
     * @return array
     */
    public function getActions()
    {
        return $this->actions;
    }
}
